Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.ling
Interface Labeled<E>

All Known Subinterfaces:
  Datum<L,F>, Document<L,F,T>

All Known Implementing Classes:
  BasicDocument

    public interface Labeled<E>

Interface for Objects that have a label, whose label is an Object. There are only two methods: Object label() and Collection labels(). If there is only one label, labels() will return a collection of one label. If there are multiple labels, label() will return the primary label, or a consistent arbitrary label if there is not primary label.

Author:
  Sepandar Kamvar (sdkamvar@stanford.edu) Updated to take a specific type rather than just a blanket Object. I'm hoping that it's true that the Collection will be of the same type as the primary label..., Sarah Spikes (sdspikes@cs.stanford.edu)

Method Summary
`E` | `label()` Returns the primary label for this Object, or null if none have been set.
`Collection<E>` | `labels()` Returns the complete list of labels for this Object, which may be empty.

Method Detail

### label

    E label()

  Returns the primary label for this Object, or null if none have been set.

### labels

    Collection<E> labels()

  Returns the complete list of labels for this Object, which may be empty.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group